<?php
/** @var MSTS_InvoiceME_Block_Payment_Form_InvoiceMe $this */
$code = $this->getMethodCode();
$buyerStatus = $this->getBuyerStatus(true);
$validationMessage = '';
$isCustomerNotActiveBuyer = false;
if ($buyerStatus && MSTS_InvoiceMe_Helper_Customer::BUYER_STATUS_ACTIVE != $buyerStatus) {
    $validationMessage = $this->__('InvoiceMe payment method is currently not available to this customer as their MSTS status is "%s".', $buyerStatus);
    $isCustomerNotActiveBuyer = true;
} elseif (!$buyerStatus) {
    $validationMessage = $this->__('InvoiceMe payment method is currently not available to this customer as the customer is not registered in MSTS yet.');
    $isCustomerNotActiveBuyer = true;
}
?>
<?php if ($isCustomerNotActiveBuyer): ?>
    <script type="text/javascript">
        //<![CDATA[
        Validation.add('validate-invoiceme-not-active-buyer', '<?php echo $validationMessage ?>', function(v) {
            return !($('p_method_<?php echo $code ?>').checked);
        });

        var methodObject = $('p_method_<?php echo $code ?>');
        if (!methodObject.hasClassName('validate-invoiceme-not-active-buyer')) {
            methodObject.addClassName('validate-invoiceme-not-active-buyer');
        }
        //]]>
    </script>
<?php else: ?>
    <?php
    $notesKey = MSTS_InvoiceMe_Model_Payment_Method_InvoiceMe::FORM_FIELD_NOTES;
    $poNumberKey = MSTS_InvoiceMe_Model_Payment_Method_InvoiceMe::FORM_FIELD_PO_NUMBER;
    ?>
    <ul class="form-list" id="payment_form_<?php echo $code ?>" style="display:none;">
        <li>
            <label for="<?php echo $poNumberKey ?>"><?php echo $this->__('Purchase Order Number') ?></label>
            <div class="input-box">
                <input type="text" id="<?php echo $poNumberKey ?>" name="payment[<?php echo $poNumberKey ?>]" title="<?php echo Mage::helper('core')->quoteEscape($this->__('Purchase Order Number')) ?>" class="input-text" maxlength="<?php echo MSTS_InvoiceMe_Model_Payment_Method_InvoiceMe::FORM_FIELD_PO_NUMBER_MAXIMUM_LENGTH ?>" value="<?php echo $this->escapeHtml($this->getInfoData($poNumberKey)) ?>" />
            </div>
        </li>
        <li>
            <label for="<?php echo $notesKey ?>"><?php echo $this->__('Notes') ?></label>
            <div class="input-box">
                <textarea id="<?php echo $notesKey ?>" name="payment[<?php echo $notesKey ?>]" title="<?php echo Mage::helper('core')->quoteEscape($this->__('Notes')) ?>" class="input-text" rows="2" cols="40" maxlength="<?php echo MSTS_InvoiceMe_Model_Payment_Method_InvoiceMe::FORM_FIELD_NOTES_MAXIMUM_LENGTH ?>"><?php echo $this->escapeHtml($this->getInfoData($notesKey)) ?></textarea>
            </div>
        </li>
    </ul>
<?php endif; ?>
